* Bug #10433 fixed - Xcos stop simulation button
[scilab.git] / scilab / modules / xcos / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2009-2010 - Allan CORNET <allan.cornet@scilab.org>
21 # Copyright (C) DIGITEO - 2010-2010 - ClĂ©ment DAVID <clement.david@scilab.org>
22 #
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
44 ##########
45
46
47 VPATH = @srcdir@
48 am__make_dryrun = \
49   { \
50     am__dry=no; \
51     case $$MAKEFLAGS in \
52       *\\[\ \   ]*) \
53         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
54           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
55       *) \
56         for am__flg in $$MAKEFLAGS; do \
57           case $$am__flg in \
58             *=*|--*) ;; \
59             *n*) am__dry=yes; break;; \
60           esac; \
61         done;; \
62     esac; \
63     test $$am__dry = yes; \
64   }
65 pkgdatadir = $(datadir)/@PACKAGE@
66 pkgincludedir = $(includedir)/@PACKAGE@
67 pkglibdir = $(libdir)/@PACKAGE@
68 pkglibexecdir = $(libexecdir)/@PACKAGE@
69 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70 install_sh_DATA = $(install_sh) -c -m 644
71 install_sh_PROGRAM = $(install_sh) -c
72 install_sh_SCRIPT = $(install_sh) -c
73 INSTALL_HEADER = $(INSTALL_DATA)
74 transform = $(program_transform_name)
75 NORMAL_INSTALL = :
76 PRE_INSTALL = :
77 POST_INSTALL = :
78 NORMAL_UNINSTALL = :
79 PRE_UNINSTALL = :
80 POST_UNINSTALL = :
81 build_triplet = @build@
82 host_triplet = @host@
83 @GUI_TRUE@@XCOS_TRUE@am__append_1 = libscixcos.la
84 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
85         $(top_srcdir)/Makefile.incl.am
86 @NEED_JAVA_TRUE@am__append_2 = java
87 subdir = modules/xcos
88 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
89 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
90         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
91         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
92         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
93         $(top_srcdir)/m4/intel_compiler.m4 \
94         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
95         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
96         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
97         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
98         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
100         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
101         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
102         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
103         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
104         $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
108 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
109 CONFIG_CLEAN_FILES =
110 CONFIG_CLEAN_VPATH_FILES =
111 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
112 am__vpath_adj = case $$p in \
113     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
114     *) f=$$p;; \
115   esac;
116 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
117 am__install_max = 40
118 am__nobase_strip_setup = \
119   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
120 am__nobase_strip = \
121   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
122 am__nobase_list = $(am__nobase_strip_setup); \
123   for p in $$list; do echo "$$p $$p"; done | \
124   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
125   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
126     if (++n[$$2] == $(am__install_max)) \
127       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
128     END { for (dir in files) print dir, files[dir] }'
129 am__base_list = \
130   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
131   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
132 am__uninstall_files_from_dir = { \
133   test -z "$$files" \
134     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
135     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
136          $(am__cd) "$$dir" && rm -f $$files; }; \
137   }
138 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
139         "$(DESTDIR)$(libscixcos_la_etcdir)" \
140         "$(DESTDIR)$(libscixcos_la_rootdir)" \
141         "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" \
142         "$(DESTDIR)$(libscixcos_la_imagesdir)"
143 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
144 libscixcos_algo_la_LIBADD =
145 am__objects_1 = libscixcos_algo_la-Xcos.lo \
146         libscixcos_algo_la-Palette.lo libscixcos_algo_la-Modelica.lo \
147         libscixcos_algo_la-xcosUtilities.lo
148 am_libscixcos_algo_la_OBJECTS = $(am__objects_1)
149 libscixcos_algo_la_OBJECTS = $(am_libscixcos_algo_la_OBJECTS)
150 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_algo_la_rpath =
151 libscixcos_disable_la_LIBADD =
152 am__objects_2 = libscixcos_disable_la-noxcos.lo
153 am_libscixcos_disable_la_OBJECTS = $(am__objects_2)
154 libscixcos_disable_la_OBJECTS = $(am_libscixcos_disable_la_OBJECTS)
155 libscixcos_la_DEPENDENCIES = libscixcos-algo.la
156 am__objects_3 = libscixcos_la-gw_xcos.lo
157 am__objects_4 = libscixcos_la-sci_Xcos.lo \
158         libscixcos_la-sci_warnBlockByUID.lo \
159         libscixcos_la-sci_closeXcosFromScilab.lo \
160         libscixcos_la-sci_xcosDiagramToScilab.lo \
161         libscixcos_la-sci_xcosPalLoad.lo \
162         libscixcos_la-sci_xcosPalCategoryAdd.lo \
163         libscixcos_la-sci_xcosPalDelete.lo \
164         libscixcos_la-sci_xcosPalMove.lo \
165         libscixcos_la-sci_xcosPalEnable.lo \
166         libscixcos_la-sci_xcosPalDisable.lo \
167         libscixcos_la-sci_xcosPalGenerateIcon.lo \
168         libscixcos_la-sci_xcosConfigureXmlFile.lo \
169         libscixcos_la-sci_xcosAddToolsMenu.lo \
170         libscixcos_la-sci_xcosUpdateBlock.lo \
171         libscixcos_la-sci_loadXcos.lo \
172         libscixcos_la-sci_xcosSimulationStarted.lo
173 am_libscixcos_la_OBJECTS = $(am__objects_3) $(am__objects_4)
174 libscixcos_la_OBJECTS = $(am_libscixcos_la_OBJECTS)
175 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_la_rpath = -rpath $(pkglibdir)
176 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
177 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
178 am__depfiles_maybe = depfiles
179 am__mv = mv -f
180 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
181         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
182 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
183         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
184         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
185 CCLD = $(CC)
186 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
187         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
188         $(LDFLAGS) -o $@
189 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
192         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194 CXXLD = $(CXX)
195 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
196         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
197         $(LDFLAGS) -o $@
198 SOURCES = $(libscixcos_algo_la_SOURCES) \
199         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
200 DIST_SOURCES = $(libscixcos_algo_la_SOURCES) \
201         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
202 am__can_run_installinfo = \
203   case $$AM_UPDATE_INFO_DIR in \
204     n|no|NO) false;; \
205     *) (install-info --version) >/dev/null 2>&1;; \
206   esac
207 DATA = $(libscixcos_la_etc_DATA) $(libscixcos_la_root_DATA) \
208         $(libscixcos_la_sci_gateway_DATA) \
209         $(nobase_libscixcos_la_images_DATA)
210 ETAGS = etags
211 CTAGS = ctags
212 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
213 ACLOCAL = @ACLOCAL@
214 ALL_LINGUAS = @ALL_LINGUAS@
215 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
216 AMTAR = @AMTAR@
217 ANT = @ANT@
218 ANTLR = @ANTLR@
219 AR = @AR@
220 ARPACK_LIBS = @ARPACK_LIBS@
221 ASM3 = @ASM3@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
226 AWK = @AWK@
227 BATIK = @BATIK@
228 BLAS_LIBS = @BLAS_LIBS@
229 CC = @CC@
230 CCACHE = @CCACHE@
231 CCDEPMODE = @CCDEPMODE@
232 CFLAGS = @CFLAGS@
233 CHECKSTYLE = @CHECKSTYLE@
234 COBERTURA = @COBERTURA@
235 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
236 COMMONS_IO = @COMMONS_IO@
237 COMMONS_LOGGING = @COMMONS_LOGGING@
238 CPP = @CPP@
239 CPPFLAGS = @CPPFLAGS@
240 CXX = @CXX@
241 CXXCPP = @CXXCPP@
242 CXXDEPMODE = @CXXDEPMODE@
243 CXXFLAGS = @CXXFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
247 DEPDIR = @DEPDIR@
248 DOCBOOK_ROOT = @DOCBOOK_ROOT@
249 DSYMUTIL = @DSYMUTIL@
250 DUMPBIN = @DUMPBIN@
251 ECHO_C = @ECHO_C@
252 ECHO_N = @ECHO_N@
253 ECHO_T = @ECHO_T@
254 EGREP = @EGREP@
255 EXEEXT = @EXEEXT@
256 F77 = @F77@
257 FFLAGS = @FFLAGS@
258 FFTW3_LIB = @FFTW3_LIB@
259 FFTW_ENABLE = @FFTW_ENABLE@
260 FGREP = @FGREP@
261 FLEXDOCK = @FLEXDOCK@
262 FLIBS = @FLIBS@
263 FOP = @FOP@
264 GENHTML = @GENHTML@
265 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
266 GIWS_BIN = @GIWS_BIN@
267 GLUEGEN2_RT = @GLUEGEN2_RT@
268 GMSGFMT = @GMSGFMT@
269 GMSGFMT_015 = @GMSGFMT_015@
270 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
271 GREP = @GREP@
272 GUI_ENABLE = @GUI_ENABLE@
273 HDF5_CFLAGS = @HDF5_CFLAGS@
274 HDF5_LIBS = @HDF5_LIBS@
275 HELP_ENABLE = @HELP_ENABLE@
276 INSTALL = @INSTALL@
277 INSTALL_DATA = @INSTALL_DATA@
278 INSTALL_PROGRAM = @INSTALL_PROGRAM@
279 INSTALL_SCRIPT = @INSTALL_SCRIPT@
280 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
281 INTLLIBS = @INTLLIBS@
282 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
283 JAR = @JAR@
284 JAVA = @JAVA@
285 JAVAC = @JAVAC@
286 JAVAC_DEBUG = @JAVAC_DEBUG@
287 JAVADOC = @JAVADOC@
288 JAVAH = @JAVAH@
289 JAVASCI_ENABLE = @JAVASCI_ENABLE@
290 JAVA_ENABLE = @JAVA_ENABLE@
291 JAVA_G = @JAVA_G@
292 JAVA_HOME = @JAVA_HOME@
293 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
294 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
295 JDB = @JDB@
296 JEUCLID_CORE = @JEUCLID_CORE@
297 JGRAPHX = @JGRAPHX@
298 JHALL = @JHALL@
299 JLATEXMATH = @JLATEXMATH@
300 JLATEXMATH_FOP = @JLATEXMATH_FOP@
301 JOGL2 = @JOGL2@
302 JROSETTA_API = @JROSETTA_API@
303 JROSETTA_ENGINE = @JROSETTA_ENGINE@
304 JUNIT4 = @JUNIT4@
305 LAPACK_LIBS = @LAPACK_LIBS@
306 LCOV = @LCOV@
307 LD = @LD@
308 LDFLAGS = @LDFLAGS@
309 LIBICONV = @LIBICONV@
310 LIBINTL = @LIBINTL@
311 LIBM = @LIBM@
312 LIBOBJS = @LIBOBJS@
313 LIBS = @LIBS@
314 LIBTOOL = @LIBTOOL@
315 LIPO = @LIPO@
316 LN_S = @LN_S@
317 LOGGING_LEVEL = @LOGGING_LEVEL@
318 LOOKS = @LOOKS@
319 LTLIBICONV = @LTLIBICONV@
320 LTLIBINTL = @LTLIBINTL@
321 LTLIBOBJS = @LTLIBOBJS@
322 MAINT = @MAINT@
323 MAKEINFO = @MAKEINFO@
324 MATIO_CFLAGS = @MATIO_CFLAGS@
325 MATIO_ENABLE = @MATIO_ENABLE@
326 MATIO_LIBS = @MATIO_LIBS@
327 MKDIR_P = @MKDIR_P@
328 MSGCAT = @MSGCAT@
329 MSGFMT = @MSGFMT@
330 MSGFMT_015 = @MSGFMT_015@
331 MSGMERGE = @MSGMERGE@
332 NM = @NM@
333 NMEDIT = @NMEDIT@
334 OBJDUMP = @OBJDUMP@
335 OBJEXT = @OBJEXT@
336 OCAMLC = @OCAMLC@
337 OCAMLDEP = @OCAMLDEP@
338 OCAMLLEX = @OCAMLLEX@
339 OCAMLOPT = @OCAMLOPT@
340 OCAMLYACC = @OCAMLYACC@
341 OPENMP_CFLAGS = @OPENMP_CFLAGS@
342 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
343 OPENMP_ENABLE = @OPENMP_ENABLE@
344 OPENMP_LIBS = @OPENMP_LIBS@
345 OTOOL = @OTOOL@
346 OTOOL64 = @OTOOL64@
347 PACKAGE = @PACKAGE@
348 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
349 PACKAGE_NAME = @PACKAGE_NAME@
350 PACKAGE_STRING = @PACKAGE_STRING@
351 PACKAGE_TARNAME = @PACKAGE_TARNAME@
352 PACKAGE_URL = @PACKAGE_URL@
353 PACKAGE_VERSION = @PACKAGE_VERSION@
354 PATH_SEPARATOR = @PATH_SEPARATOR@
355 PCRE_CFLAGS = @PCRE_CFLAGS@
356 PCRE_CONFIG = @PCRE_CONFIG@
357 PCRE_LIBS = @PCRE_LIBS@
358 PCRE_VERSION = @PCRE_VERSION@
359 PKG_CONFIG = @PKG_CONFIG@
360 POSUB = @POSUB@
361 POW_LIB = @POW_LIB@
362 PYTHON = @PYTHON@
363 RANLIB = @RANLIB@
364 RELOCATABLE = @RELOCATABLE@
365 RT_LIB = @RT_LIB@
366 SAXON = @SAXON@
367 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
368 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
369 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
370 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
371 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
372 SCIRENDERER = @SCIRENDERER@
373 SCI_CFLAGS = @SCI_CFLAGS@
374 SCI_CXXFLAGS = @SCI_CXXFLAGS@
375 SCI_FFLAGS = @SCI_FFLAGS@
376 SCI_LDFLAGS = @SCI_LDFLAGS@
377 SED = @SED@
378 SET_MAKE = @SET_MAKE@
379 SET_RELOCATABLE = @SET_RELOCATABLE@
380 SHELL = @SHELL@
381 SKINLF = @SKINLF@
382 SPLINT = @SPLINT@
383 STRIP = @STRIP@
384 SWIG_BIN = @SWIG_BIN@
385 SWIG_JAVA = @SWIG_JAVA@
386 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
387 TCLTK_LIBS = @TCLTK_LIBS@
388 TCL_INC_PATH = @TCL_INC_PATH@
389 TK_INC_PATH = @TK_INC_PATH@
390 UMFPACK_ENABLE = @UMFPACK_ENABLE@
391 UMFPACK_LIB = @UMFPACK_LIB@
392 USE_NLS = @USE_NLS@
393 VERSION = @VERSION@
394 WITH_OCAML = @WITH_OCAML@
395 WITH_TKSCI = @WITH_TKSCI@
396 XCOS_ENABLE = @XCOS_ENABLE@
397 XGETTEXT = @XGETTEXT@
398 XGETTEXT_015 = @XGETTEXT_015@
399 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
400 XMKMF = @XMKMF@
401 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
402 XML_APIS_EXT = @XML_APIS_EXT@
403 XML_CONFIG = @XML_CONFIG@
404 XML_FLAGS = @XML_FLAGS@
405 XML_LIBS = @XML_LIBS@
406 XML_VERSION = @XML_VERSION@
407 X_CFLAGS = @X_CFLAGS@
408 X_EXTRA_LIBS = @X_EXTRA_LIBS@
409 X_LIBS = @X_LIBS@
410 X_PRE_LIBS = @X_PRE_LIBS@
411 abs_builddir = @abs_builddir@
412 abs_srcdir = @abs_srcdir@
413 abs_top_builddir = @abs_top_builddir@
414 abs_top_srcdir = @abs_top_srcdir@
415 ac_ct_CC = @ac_ct_CC@
416 ac_ct_CXX = @ac_ct_CXX@
417 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
418 ac_ct_F77 = @ac_ct_F77@
419 am__include = @am__include@
420 am__leading_dot = @am__leading_dot@
421 am__quote = @am__quote@
422 am__tar = @am__tar@
423 am__untar = @am__untar@
424 bindir = @bindir@
425 build = @build@
426 build_alias = @build_alias@
427 build_cpu = @build_cpu@
428 build_os = @build_os@
429 build_vendor = @build_vendor@
430 builddir = @builddir@
431 cxx_present = @cxx_present@
432 datadir = @datadir@
433 datarootdir = @datarootdir@
434 docdir = @docdir@
435 dvidir = @dvidir@
436 exec_prefix = @exec_prefix@
437 host = @host@
438 host_alias = @host_alias@
439 host_cpu = @host_cpu@
440 host_os = @host_os@
441 host_vendor = @host_vendor@
442 htmldir = @htmldir@
443 includedir = @includedir@
444 infodir = @infodir@
445 install_sh = @install_sh@
446 libdir = @libdir@
447 libexecdir = @libexecdir@
448 localedir = @localedir@
449 localstatedir = @localstatedir@
450 mandir = @mandir@
451 mkdir_p = @mkdir_p@
452 oldincludedir = @oldincludedir@
453 pdfdir = @pdfdir@
454 prefix = @prefix@
455 program_transform_name = @program_transform_name@
456 psdir = @psdir@
457 sbindir = @sbindir@
458 sharedstatedir = @sharedstatedir@
459 srcdir = @srcdir@
460 sysconfdir = @sysconfdir@
461 target_alias = @target_alias@
462 top_build_prefix = @top_build_prefix@
463 top_builddir = @top_builddir@
464 top_srcdir = @top_srcdir@
465
466 #### Target ######
467 modulename = xcos
468
469 #### xcos : Conf files ####
470 libscixcos_la_rootdir = $(mydatadir)
471 libscixcos_la_root_DATA = license.txt
472
473 #### xcos : init scripts ####
474 libscixcos_la_etcdir = $(mydatadir)/etc
475 libscixcos_la_etc_DATA = \
476         etc/xcos.quit \
477         etc/xcos.start \
478         etc/Xcos-style.xml \
479         etc/XcosFile.xsd \
480         etc/xcos.xml \
481         etc/XcosConfiguration.xsd \
482         etc/palettes.xml \
483         etc/PaletteConfiguration.xsd \
484         etc/Modelica.xsd \
485         etc/XConfiguration-xcos.xsl \
486         etc/XConfiguration-xcos.xml
487
488 XCOS_CXX_SOURCES = src/jni/Xcos.cpp \
489                         src/jni/Xcos.hxx \
490                         src/jni/Palette.cpp \
491                         src/jni/Palette.hxx \
492                         src/jni/Modelica.cpp \
493                         src/jni/Modelica.hxx \
494                         src/cpp/xcosUtilities.cpp
495
496 GIWS_WRAPPERS = src/jni/Xcos.giws.xml \
497                         src/jni/Palette.giws.xml \
498                         src/jni/Modelica.giws.xml
499
500 @GIWS_TRUE@BUILT_SOURCES = giws
501 GATEWAY_C_SOURCES = sci_gateway/c/gw_xcos.c
502 GATEWAY_CXX_SOURCES = \
503         sci_gateway/cpp/sci_Xcos.cpp \
504         sci_gateway/cpp/sci_warnBlockByUID.cpp \
505         sci_gateway/cpp/sci_closeXcosFromScilab.cpp \
506         sci_gateway/cpp/sci_xcosDiagramToScilab.cpp \
507         sci_gateway/cpp/sci_xcosPalLoad.cpp \
508         sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp \
509         sci_gateway/cpp/sci_xcosPalDelete.cpp \
510         sci_gateway/cpp/sci_xcosPalMove.cpp \
511         sci_gateway/cpp/sci_xcosPalEnable.cpp \
512         sci_gateway/cpp/sci_xcosPalDisable.cpp \
513         sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp \
514         sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp \
515         sci_gateway/cpp/sci_xcosAddToolsMenu.cpp \
516         sci_gateway/cpp/sci_xcosUpdateBlock.cpp \
517         sci_gateway/cpp/sci_loadXcos.cpp \
518         sci_gateway/cpp/sci_xcosSimulationStarted.cpp
519
520 libscixcos_la_CPPFLAGS = \
521                         -I$(srcdir)/includes/ \
522                         -I$(srcdir)/src/jni/ \
523                         -I$(srcdir)/src/cpp/ \
524                         -I$(srcdir)/src/c/ \
525                         -I$(top_srcdir)/libs/MALLOC/includes/ \
526                         -I$(top_srcdir)/modules/jvm/includes/ \
527                         -I$(top_srcdir)/modules/output_stream/includes/ \
528                         -I$(top_srcdir)/modules/commons/src/jni/ \
529                         -I$(top_srcdir)/modules/localization/includes/ \
530                         -I$(top_srcdir)/modules/fileio/includes/ \
531                         -I$(top_srcdir)/modules/scicos_blocks/src/jni/ \
532                         -I$(top_srcdir)/modules/api_scilab/includes/ \
533                         $(JAVA_JNI_INCLUDE) \
534                         $(AM_CPPFLAGS)
535
536
537 # Without the xcos module
538 libscixcos_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
539                         -I$(top_srcdir)/modules/localization/includes/ \
540                         -I$(top_srcdir)/modules/output_stream/includes \
541                         $(AM_CPPFLAGS)
542
543 XCOS_DISABLE_C_SOURCES = src/noxcos/noxcos.c
544 libscixcos_disable_la_SOURCES = $(XCOS_DISABLE_C_SOURCES)
545 pkglib_LTLIBRARIES = libscixcos-disable.la $(am__append_1)
546 @GUI_TRUE@@XCOS_TRUE@noinst_LTLIBRARIES = libscixcos-algo.la
547 libscixcos_algo_la_SOURCES = $(XCOS_C_SOURCES) $(XCOS_CXX_SOURCES)
548 libscixcos_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
549 libscixcos_algo_la_CPPFLAGS = $(libscixcos_la_CPPFLAGS)
550
551 # For the code check (splint)
552 CHECK_SRC = $(XCOS_C_SOURCES) $(GATEWAY_C_SOURCES)
553 INCLUDE_FLAGS = $(libscixcos_la_CPPFLAGS)
554 libscixcos_la_LIBADD = libscixcos-algo.la
555
556 #### xcos : gateway declaration ####
557 libscixcos_la_sci_gatewaydir = $(mydatadir)/sci_gateway
558 libscixcos_la_sci_gateway_DATA = sci_gateway/xcos_gateway.xml
559
560 #### xcos : images files ####
561 #
562 # Generated with:
563 #   $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png -not -name *_pal.jpg -not -name gui |sort |awk '$0 !~ /gui/{print;}' |awk '$0 !~ /_pal.jpg/{print;}'
564 libscixcos_la_imagesdir = $(mydatadir)/
565 nobase_libscixcos_la_images_DATA = images/blocks/3DSCOPE.svg \
566 images/blocks/ANDBLK.svg \
567 images/blocks/ASCOPE.svg \
568 images/blocks/BACHE.svg \
569 images/blocks/BARXY.svg \
570 images/blocks/BPLATFORM.svg \
571 images/blocks/Capacitor.svg \
572 images/blocks/CCS.svg \
573 images/blocks/CLOCK_c.svg \
574 images/blocks/CLOCK_f.svg \
575 images/blocks/ConstantVoltage.svg \
576 images/blocks/CSCOPXY.svg \
577 images/blocks/CurrentSensor.svg \
578 images/blocks/CVS.svg \
579 images/blocks/DEADBAND.svg \
580 images/blocks/Diode.svg \
581 images/blocks/DSCOPE.svg \
582 images/blocks/Ground.svg \
583 images/blocks/Gyrator.svg \
584 images/blocks/HYSTHERESIS.svg \
585 images/blocks/IdealTransformer.svg \
586 images/blocks/Inductor.svg \
587 images/blocks/INTEGRAL.svg \
588 images/blocks/Modelica.svg \
589 images/blocks/NMOS.svg \
590 images/blocks/NPN.svg \
591 images/blocks/PerteDP.svg \
592 images/blocks/PMOS.svg \
593 images/blocks/PNP.svg \
594 images/blocks/PotentialSensor.svg \
595 images/blocks/PRODUCT.svg \
596 images/blocks/PuitP.svg \
597 images/blocks/PULSE_SC.svg \
598 images/blocks/QUANT_f.svg \
599 images/blocks/RAMP.svg \
600 images/blocks/Resistor.svg \
601 images/blocks/SampleCLK.svg \
602 images/blocks/SATURATION.svg \
603 images/blocks/sawtooth.svg \
604 images/blocks/Self_Switch_off.svg \
605 images/blocks/Self_Switch_on.svg \
606 images/blocks/SELF_SWITCH.svg \
607 images/blocks/SINUS_f.svg \
608 images/blocks/SourceP.svg \
609 images/blocks/SQUARE_WAVE_f.svg \
610 images/blocks/STEP_FUNCTION.svg \
611 images/blocks/SUM.svg \
612 images/blocks/SUPER.svg \
613 images/blocks/SWITCH.svg \
614 images/blocks/VanneReglante.svg \
615 images/blocks/VariableResistor.svg \
616 images/blocks/VoltageSensor.svg \
617 images/icons/16x16/actions/align-horizontal-center.png \
618 images/icons/16x16/actions/align-horizontal-left.png \
619 images/icons/16x16/actions/align-horizontal-right.png \
620 images/icons/16x16/actions/align-vertical-bottom.png \
621 images/icons/16x16/actions/align-vertical-center.png \
622 images/icons/16x16/actions/align-vertical-top.png \
623 images/icons/16x16/actions/color-fill.png \
624 images/icons/16x16/actions/draw-brush.png \
625 images/icons/16x16/actions/object-group.png \
626 images/icons/16x16/actions/process-stop.png \
627 images/icons/16x16/actions/select-by-color.png \
628 images/icons/16x16/actions/transform-flip.png \
629 images/icons/16x16/actions/transform-mirror.png \
630 images/icons/16x16/categories/preferences-desktop.png \
631 images/palettes/ABS_VALUE.png \
632 images/palettes/AFFICH_m.png \
633 images/palettes/ANDBLK.png \
634 images/palettes/ANDLOG_f.png \
635 images/palettes/AUTOMAT.png \
636 images/palettes/Bache.png \
637 images/palettes/BACKLASH.png \
638 images/palettes/BARXY.png \
639 images/palettes/BIGSOM_f.png \
640 images/palettes/BITCLEAR.png \
641 images/palettes/BITSET.png \
642 images/palettes/BOUNCE.png \
643 images/palettes/BOUNCEXY.png \
644 images/palettes/BPLATFORM.png \
645 images/palettes/CANIMXY3D.png \
646 images/palettes/CANIMXY.png \
647 images/palettes/Capacitor.png \
648 images/palettes/c_block.png \
649 images/palettes/CBLOCK.png \
650 images/palettes/CCS.png \
651 images/palettes/CEVENTSCOPE.png \
652 images/palettes/CFSCOPE.png \
653 images/palettes/CLINDUMMY_f.png \
654 images/palettes/CLKFROM.png \
655 images/palettes/CLKGOTO.png \
656 images/palettes/CLKGotoTagVisibility.png \
657 images/palettes/CLKINV_f.png \
658 images/palettes/CLKOUTV_f.png \
659 images/palettes/CLKSOMV_f.png \
660 images/palettes/CLOCK_c.png \
661 images/palettes/CLR.png \
662 images/palettes/CLSS.png \
663 images/palettes/CMAT3D.png \
664 images/palettes/CMATVIEW.png \
665 images/palettes/CMSCOPE.png \
666 images/palettes/ConstantVoltage.png \
667 images/palettes/CONST_m.png \
668 images/palettes/CONSTRAINT2_c.png \
669 images/palettes/CONSTRAINT_c.png \
670 images/palettes/CONVERT.png \
671 images/palettes/COSBLK_f.png \
672 images/palettes/Counter.png \
673 images/palettes/CSCOPE.png \
674 images/palettes/CSCOPXY3D.png \
675 images/palettes/CSCOPXY.png \
676 images/palettes/CUMSUM.png \
677 images/palettes/CurrentSensor.png \
678 images/palettes/CURV_f.png \
679 images/palettes/CVS.png \
680 images/palettes/DEADBAND.png \
681 images/palettes/DEBUG_SCICOS.png \
682 images/palettes/DELAY_f.png \
683 images/palettes/DELAYV_f.png \
684 images/palettes/DEMUX.png \
685 images/palettes/DERIV.png \
686 images/palettes/DFLIPFLOP.png \
687 images/palettes/DIFF_f.png \
688 images/palettes/Diode.png \
689 images/palettes/DLATCH.png \
690 images/palettes/DLRADAPT_f.png \
691 images/palettes/DLR.png \
692 images/palettes/DLSS.png \
693 images/palettes/DOLLAR_f.png \
694 images/palettes/EDGE_TRIGGER.png \
695 images/palettes/ENDBLK.png \
696 images/palettes/END_c.png \
697 images/palettes/ESELECT_f.png \
698 images/palettes/EVTDLY_c.png \
699 images/palettes/EVTGEN_f.png \
700 images/palettes/EVTVARDLY.png \
701 images/palettes/EXPBLK_m.png \
702 images/palettes/EXPRESSION.png \
703 images/palettes/Extract_Activation.png \
704 images/palettes/EXTRACTBITS.png \
705 images/palettes/EXTRACTOR.png \
706 images/palettes/EXTRACT.png \
707 images/palettes/EXTTRI.png \
708 images/palettes/fortran_block.png \
709 images/palettes/freq_div.png \
710 images/palettes/FROMMO.png \
711 images/palettes/FROM.png \
712 images/palettes/FROMWSB.png \
713 images/palettes/GAINBLK_f.png \
714 images/palettes/GENERAL_f.png \
715 images/palettes/generic_block3.png \
716 images/palettes/GENSIN_f.png \
717 images/palettes/GENSQR_f.png \
718 images/palettes/GOTOMO.png \
719 images/palettes/GOTO.png \
720 images/palettes/GotoTagVisibilityMO.png \
721 images/palettes/GotoTagVisibility.png \
722 images/palettes/Ground.png \
723 images/palettes/Gyrator.png \
724 images/palettes/HALT_f.png \
725 images/palettes/HYSTHERESIS.png \
726 images/palettes/IdealTransformer.png \
727 images/palettes/IFTHEL_f.png \
728 images/palettes/Inductor.png \
729 images/palettes/IN_f.png \
730 images/palettes/INIMPL_f.png \
731 images/palettes/INTEGRAL_f.png \
732 images/palettes/INTEGRAL_m.png \
733 images/palettes/INTMUL.png \
734 images/palettes/INTRP2BLK_f.png \
735 images/palettes/INTRPLBLK_f.png \
736 images/palettes/INVBLK.png \
737 images/palettes/ISELECT_m.png \
738 images/palettes/JKFLIPFLOP.png \
739 images/palettes/LOGBLK_f.png \
740 images/palettes/LOGICAL_OP.png \
741 images/palettes/LOGIC.png \
742 images/palettes/LOOKUP_f.png \
743 images/palettes/MATBKSL.png \
744 images/palettes/MATCATH.png \
745 images/palettes/MATCATV.png \
746 images/palettes/MATDET.png \
747 images/palettes/MATDIAG.png \
748 images/palettes/MATDIV.png \
749 images/palettes/MATEIG.png \
750 images/palettes/MATEXPM.png \
751 images/palettes/MATINV.png \
752 images/palettes/MATLU.png \
753 images/palettes/MATMAGPHI.png \
754 images/palettes/MATMUL.png \
755 images/palettes/MATPINV.png \
756 images/palettes/MATRESH.png \
757 images/palettes/MATSING.png \
758 images/palettes/MATSUM.png \
759 images/palettes/MATTRAN.png \
760 images/palettes/MATZCONJ.png \
761 images/palettes/MATZREIM.png \
762 images/palettes/MAX_f.png \
763 images/palettes/MAXMIN.png \
764 images/palettes/MBLOCK.png \
765 images/palettes/MCLOCK_f.png \
766 images/palettes/MFCLCK_f.png \
767 images/palettes/M_freq.png \
768 images/palettes/MIN_f.png \
769 images/palettes/Modulo_Count.png \
770 images/palettes/M_SWITCH.png \
771 images/palettes/MUX.png \
772 images/palettes/NEGTOPOS_f.png \
773 images/palettes/NMOS.png \
774 images/palettes/NPN.png \
775 images/palettes/NRMSOM_f.png \
776 images/palettes/OpAmp.png \
777 images/palettes/OUT_f.png \
778 images/palettes/OUTIMPL_f.png \
779 images/palettes/PDE.png \
780 images/palettes/PerteDP.png \
781 images/palettes/PID.png \
782 images/palettes/PMOS.png \
783 images/palettes/PNP.png \
784 images/palettes/POSTONEG_f.png \
785 images/palettes/PotentialSensor.png \
786 images/palettes/POWBLK_f.png \
787 images/palettes/PROD_f.png \
788 images/palettes/PRODUCT.png \
789 images/palettes/PuitsP.png \
790 images/palettes/PULSE_SC.png \
791 images/palettes/QUANT_f.png \
792 images/palettes/RAMP.png \
793 images/palettes/RAND_m.png \
794 images/palettes/RATELIMITER.png \
795 images/palettes/READAU_f.png \
796 images/palettes/READC_f.png \
797 images/palettes/REGISTER.png \
798 images/palettes/RELATIONALOP.png \
799 images/palettes/RELAY_f.png \
800 images/palettes/Resistor.png \
801 images/palettes/RFILE_f.png \
802 images/palettes/RICC.png \
803 images/palettes/ROOTCOEF.png \
804 images/palettes/SAMPHOLD_m.png \
805 images/palettes/SampleCLK.png \
806 images/palettes/SATURATION.png \
807 images/palettes/SAWTOOTH_f.png \
808 images/palettes/SCALAR2VECTOR.png \
809 images/palettes/scifunc_block_m.png \
810 images/palettes/SELECT_m.png \
811 images/palettes/SELF_SWITCH_off.png \
812 images/palettes/SELF_SWITCH_on.png \
813 images/palettes/SELF_SWITCH.png \
814 images/palettes/SHIFT.png \
815 images/palettes/Sigbuilder.png \
816 images/palettes/SIGNUM.png \
817 images/palettes/SINBLK_f.png \
818 images/palettes/SineVoltage.png \
819 images/palettes/SourceP.png \
820 images/palettes/SQRT.png \
821 images/palettes/SRFLIPFLOP.png \
822 images/palettes/STEP_FUNCTION.png \
823 images/palettes/SUBMAT.png \
824 images/palettes/SUM_f.png \
825 images/palettes/SUMMATION.png \
826 images/palettes/SUPER_f.png \
827 images/palettes/SWITCH2_m.png \
828 images/palettes/SWITCH_f.png \
829 images/palettes/Switch.png \
830 images/palettes/TANBLK_f.png \
831 images/palettes/TCLSS.png \
832 images/palettes/TEXT_f.png \
833 images/palettes/TIME_DELAY.png \
834 images/palettes/TIME_f.png \
835 images/palettes/TKSCALE.png \
836 images/palettes/TOWS_c.png \
837 images/palettes/TRASH_f.png \
838 images/palettes/TrigFun.png \
839 images/palettes/VanneReglante.png \
840 images/palettes/VARIABLE_DELAY.png \
841 images/palettes/VariableResistor.png \
842 images/palettes/VirtualCLK0.png \
843 images/palettes/VoltageSensor.png \
844 images/palettes/VsourceAC.png \
845 images/palettes/VVsourceAC.png \
846 images/palettes/WFILE_f.png \
847 images/palettes/WRITEAU_f.png \
848 images/palettes/WRITEC_f.png \
849 images/palettes/ZCROSS_f.png
850
851 @GUI_TRUE@@XCOS_TRUE@USEANT = 1
852
853 # Where all the Scilab stuff is installed (macros, help, ...)
854 mydatadir = $(pkgdatadir)/modules/$(modulename)
855
856 # Set AM_* SCI detected settings
857 AM_CPPFLAGS = $(SCI_CPPFLAGS)
858 AM_CFLAGS = $(SCI_CFLAGS)
859 AM_CXXFLAGS = $(SCI_CXXFLAGS)
860 # append includes to AM_FFLAGS to manage fortran includes
861 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
862
863 # Tag shared libraries with the Scilab version
864 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
865
866 # splint options
867 SPLINT_OPTIONS = -weak -booltype BOOL
868
869 ########################### JAVA ######################################
870 #### We are delegating java compilation to ant... Thanks to that
871 #### the procedure will be the same with Microsoft Windows (C)
872 #### and Linux/Unix
873 #######################################################################
874 TARGETS_ALL = $(am__append_2)
875
876 ################ MACROS ######################
877 # Rule to build a macro
878 # NOT USED  AT THE MOMENT
879 SUFFIXES = .sci 
880
881 ########### INSTALL DOCUMENTATION ###################
882
883 # Install documentation files into the right target
884 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
885 # automake needs the html files to be present which is not the case when
886 # we are building Scilab
887
888 # Where it should be installed
889 pkgdocdir = $(mydatadir)
890
891 # What is the mask of the help source
892 DOCMASKXML = *.xml
893
894 # What is the mask of the MathML sources
895 DOCMASKMML = *.mml
896
897 ########### INSTALL DATA ###################
898 # Install macros, help & demos
899 # Where it should be installed
900 pkgmacrosdir = $(mydatadir)
901 # Which directory we process
902 MACRODIRS = macros/
903 # Mask of the Scilab sources macros
904 MACROMASK = *.sci
905 # Mask of the Scilab executable sources macros
906 MACROBUILDMASK = *.sce
907 # Mask of the Scilab compiled macros
908 MACROBINMASK = *.bin
909 # List of the standard directory for tests
910 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
911 # Where the demos should be installed
912 pkgdemosdir = $(mydatadir)
913 # List of the standard directory for demos
914 DEMOS_DIR = demos
915 # List of the standard directory for examples
916 EXAMPLES_DIR = examples
917 # Where to export JAVA archives (.jar)
918 JARDIR = jar/
919 # JAR files mask
920 JARMASK = *.jar
921 # Chapter file 
922 HELP_CHAPTERDIR = help/
923 HELP_CHAPTERFILE = addchapter.sce
924 HELP_CHAPTERLANG = en_US fr_FR pt_BR
925 all: $(BUILT_SOURCES)
926         $(MAKE) $(AM_MAKEFLAGS) all-am
927
928 .SUFFIXES:
929 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
930 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
931         @for dep in $?; do \
932           case '$(am__configure_deps)' in \
933             *$$dep*) \
934               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
935                 && { if test -f $@; then exit 0; else break; fi; }; \
936               exit 1;; \
937           esac; \
938         done; \
939         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xcos/Makefile'; \
940         $(am__cd) $(top_srcdir) && \
941           $(AUTOMAKE) --foreign modules/xcos/Makefile
942 .PRECIOUS: Makefile
943 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
944         @case '$?' in \
945           *config.status*) \
946             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
947           *) \
948             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
949             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
950         esac;
951 $(top_srcdir)/Makefile.incl.am:
952
953 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
954         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
955
956 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
957         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
958 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
959         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
960 $(am__aclocal_m4_deps):
961
962 clean-noinstLTLIBRARIES:
963         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
964         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
965           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
966           test "$$dir" != "$$p" || dir=.; \
967           echo "rm -f \"$${dir}/so_locations\""; \
968           rm -f "$${dir}/so_locations"; \
969         done
970 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
971         @$(NORMAL_INSTALL)
972         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
973         list2=; for p in $$list; do \
974           if test -f $$p; then \
975             list2="$$list2 $$p"; \
976           else :; fi; \
977         done; \
978         test -z "$$list2" || { \
979           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
980           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
981           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
982           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
983         }
984
985 uninstall-pkglibLTLIBRARIES:
986         @$(NORMAL_UNINSTALL)
987         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
988         for p in $$list; do \
989           $(am__strip_dir) \
990           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
991           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
992         done
993
994 clean-pkglibLTLIBRARIES:
995         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
996         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
997           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
998           test "$$dir" != "$$p" || dir=.; \
999           echo "rm -f \"$${dir}/so_locations\""; \
1000           rm -f "$${dir}/so_locations"; \
1001         done
1002 libscixcos-algo.la: $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_DEPENDENCIES) $(EXTRA_libscixcos_algo_la_DEPENDENCIES) 
1003         $(CXXLINK) $(am_libscixcos_algo_la_rpath) $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_LIBADD) $(LIBS)
1004 libscixcos-disable.la: $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_DEPENDENCIES) $(EXTRA_libscixcos_disable_la_DEPENDENCIES) 
1005         $(LINK) -rpath $(pkglibdir) $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_LIBADD) $(LIBS)
1006 libscixcos.la: $(libscixcos_la_OBJECTS) $(libscixcos_la_DEPENDENCIES) $(EXTRA_libscixcos_la_DEPENDENCIES) 
1007         $(CXXLINK) $(am_libscixcos_la_rpath) $(libscixcos_la_OBJECTS) $(libscixcos_la_LIBADD) $(LIBS)
1008
1009 mostlyclean-compile:
1010         -rm -f *.$(OBJEXT)
1011
1012 distclean-compile:
1013         -rm -f *.tab.c
1014
1015 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Modelica.Plo@am__quote@
1016 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Palette.Plo@am__quote@
1017 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Xcos.Plo@am__quote@
1018 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo@am__quote@
1019 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_disable_la-noxcos.Plo@am__quote@
1020 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-gw_xcos.Plo@am__quote@
1021 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_Xcos.Plo@am__quote@
1022 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo@am__quote@
1023 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_loadXcos.Plo@am__quote@
1024 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo@am__quote@
1025 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo@am__quote@
1026 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo@am__quote@
1027 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo@am__quote@
1028 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo@am__quote@
1029 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo@am__quote@
1030 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo@am__quote@
1031 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo@am__quote@
1032 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo@am__quote@
1033 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo@am__quote@
1034 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo@am__quote@
1035 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo@am__quote@
1036 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo@am__quote@
1037
1038 .c.o:
1039 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1040 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1044
1045 .c.obj:
1046 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1047 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1048 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1051
1052 .c.lo:
1053 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1054 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1055 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1056 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1057 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1058
1059 libscixcos_disable_la-noxcos.lo: src/noxcos/noxcos.c
1060 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_disable_la-noxcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1061 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo $(DEPDIR)/libscixcos_disable_la-noxcos.Plo
1062 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noxcos/noxcos.c' object='libscixcos_disable_la-noxcos.lo' libtool=yes @AMDEPBACKSLASH@
1063 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1064 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1065
1066 libscixcos_la-gw_xcos.lo: sci_gateway/c/gw_xcos.c
1067 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_la-gw_xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-gw_xcos.Tpo -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1068 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_la-gw_xcos.Tpo $(DEPDIR)/libscixcos_la-gw_xcos.Plo
1069 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_xcos.c' object='libscixcos_la-gw_xcos.lo' libtool=yes @AMDEPBACKSLASH@
1070 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1071 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1072
1073 .cpp.o:
1074 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1075 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1076 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1077 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1078 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
1079
1080 .cpp.obj:
1081 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1082 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1083 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1084 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1085 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1086
1087 .cpp.lo:
1088 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1089 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1090 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1091 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1092 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
1093
1094 libscixcos_algo_la-Xcos.lo: src/jni/Xcos.cpp
1095 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1096 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo $(DEPDIR)/libscixcos_algo_la-Xcos.Plo
1097 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Xcos.cpp' object='libscixcos_algo_la-Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1098 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1099 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1100
1101 libscixcos_algo_la-Palette.lo: src/jni/Palette.cpp
1102 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Palette.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Palette.Tpo -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1103 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Palette.Tpo $(DEPDIR)/libscixcos_algo_la-Palette.Plo
1104 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Palette.cpp' object='libscixcos_algo_la-Palette.lo' libtool=yes @AMDEPBACKSLASH@
1105 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1106 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1107
1108 libscixcos_algo_la-Modelica.lo: src/jni/Modelica.cpp
1109 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Modelica.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1110 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo $(DEPDIR)/libscixcos_algo_la-Modelica.Plo
1111 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Modelica.cpp' object='libscixcos_algo_la-Modelica.lo' libtool=yes @AMDEPBACKSLASH@
1112 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1113 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1114
1115 libscixcos_algo_la-xcosUtilities.lo: src/cpp/xcosUtilities.cpp
1116 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-xcosUtilities.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1117 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
1118 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/xcosUtilities.cpp' object='libscixcos_algo_la-xcosUtilities.lo' libtool=yes @AMDEPBACKSLASH@
1119 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1120 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1121
1122 libscixcos_la-sci_Xcos.lo: sci_gateway/cpp/sci_Xcos.cpp
1123 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1124 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo $(DEPDIR)/libscixcos_la-sci_Xcos.Plo
1125 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_Xcos.cpp' object='libscixcos_la-sci_Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1126 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1127 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1128
1129 libscixcos_la-sci_warnBlockByUID.lo: sci_gateway/cpp/sci_warnBlockByUID.cpp
1130 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_warnBlockByUID.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1131 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
1132 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_warnBlockByUID.cpp' object='libscixcos_la-sci_warnBlockByUID.lo' libtool=yes @AMDEPBACKSLASH@
1133 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1134 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1135
1136 libscixcos_la-sci_closeXcosFromScilab.lo: sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1137 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_closeXcosFromScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1138 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
1139 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_closeXcosFromScilab.cpp' object='libscixcos_la-sci_closeXcosFromScilab.lo' libtool=yes @AMDEPBACKSLASH@
1140 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1141 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1142
1143 libscixcos_la-sci_xcosDiagramToScilab.lo: sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1144 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosDiagramToScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1145 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
1146 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' object='libscixcos_la-sci_xcosDiagramToScilab.lo' libtool=yes @AMDEPBACKSLASH@
1147 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1148 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1149
1150 libscixcos_la-sci_xcosPalLoad.lo: sci_gateway/cpp/sci_xcosPalLoad.cpp
1151 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalLoad.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1152 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
1153 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalLoad.cpp' object='libscixcos_la-sci_xcosPalLoad.lo' libtool=yes @AMDEPBACKSLASH@
1154 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1155 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1156
1157 libscixcos_la-sci_xcosPalCategoryAdd.lo: sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1158 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalCategoryAdd.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1159 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
1160 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' object='libscixcos_la-sci_xcosPalCategoryAdd.lo' libtool=yes @AMDEPBACKSLASH@
1161 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1162 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1163
1164 libscixcos_la-sci_xcosPalDelete.lo: sci_gateway/cpp/sci_xcosPalDelete.cpp
1165 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDelete.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1166 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
1167 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDelete.cpp' object='libscixcos_la-sci_xcosPalDelete.lo' libtool=yes @AMDEPBACKSLASH@
1168 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1169 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1170
1171 libscixcos_la-sci_xcosPalMove.lo: sci_gateway/cpp/sci_xcosPalMove.cpp
1172 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalMove.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1173 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
1174 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalMove.cpp' object='libscixcos_la-sci_xcosPalMove.lo' libtool=yes @AMDEPBACKSLASH@
1175 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1176 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1177
1178 libscixcos_la-sci_xcosPalEnable.lo: sci_gateway/cpp/sci_xcosPalEnable.cpp
1179 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalEnable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1180 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
1181 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalEnable.cpp' object='libscixcos_la-sci_xcosPalEnable.lo' libtool=yes @AMDEPBACKSLASH@
1182 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1183 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1184
1185 libscixcos_la-sci_xcosPalDisable.lo: sci_gateway/cpp/sci_xcosPalDisable.cpp
1186 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDisable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1187 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
1188 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDisable.cpp' object='libscixcos_la-sci_xcosPalDisable.lo' libtool=yes @AMDEPBACKSLASH@
1189 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1190 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1191
1192 libscixcos_la-sci_xcosPalGenerateIcon.lo: sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1193 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalGenerateIcon.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1194 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
1195 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' object='libscixcos_la-sci_xcosPalGenerateIcon.lo' libtool=yes @AMDEPBACKSLASH@
1196 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1197 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1198
1199 libscixcos_la-sci_xcosConfigureXmlFile.lo: sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1200 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosConfigureXmlFile.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1201 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
1202 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' object='libscixcos_la-sci_xcosConfigureXmlFile.lo' libtool=yes @AMDEPBACKSLASH@
1203 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1204 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1205
1206 libscixcos_la-sci_xcosAddToolsMenu.lo: sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1207 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosAddToolsMenu.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1208 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
1209 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' object='libscixcos_la-sci_xcosAddToolsMenu.lo' libtool=yes @AMDEPBACKSLASH@
1210 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1211 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1212
1213 libscixcos_la-sci_xcosUpdateBlock.lo: sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1214 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosUpdateBlock.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1215 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
1216 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosUpdateBlock.cpp' object='libscixcos_la-sci_xcosUpdateBlock.lo' libtool=yes @AMDEPBACKSLASH@
1217 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1218 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1219
1220 libscixcos_la-sci_loadXcos.lo: sci_gateway/cpp/sci_loadXcos.cpp
1221 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_loadXcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1222 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo $(DEPDIR)/libscixcos_la-sci_loadXcos.Plo
1223 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_loadXcos.cpp' object='libscixcos_la-sci_loadXcos.lo' libtool=yes @AMDEPBACKSLASH@
1224 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1225 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1226
1227 libscixcos_la-sci_xcosSimulationStarted.lo: sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1228 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosSimulationStarted.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo -c -o libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1229 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo
1230 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosSimulationStarted.cpp' object='libscixcos_la-sci_xcosSimulationStarted.lo' libtool=yes @AMDEPBACKSLASH@
1231 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1232 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1233
1234 mostlyclean-libtool:
1235         -rm -f *.lo
1236
1237 clean-libtool:
1238         -rm -rf .libs _libs
1239 install-libscixcos_la_etcDATA: $(libscixcos_la_etc_DATA)
1240         @$(NORMAL_INSTALL)
1241         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1242         if test -n "$$list"; then \
1243           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1244           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_etcdir)" || exit 1; \
1245         fi; \
1246         for p in $$list; do \
1247           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1248           echo "$$d$$p"; \
1249         done | $(am__base_list) | \
1250         while read files; do \
1251           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1252           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_etcdir)" || exit $$?; \
1253         done
1254
1255 uninstall-libscixcos_la_etcDATA:
1256         @$(NORMAL_UNINSTALL)
1257         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1258         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1259         dir='$(DESTDIR)$(libscixcos_la_etcdir)'; $(am__uninstall_files_from_dir)
1260 install-libscixcos_la_rootDATA: $(libscixcos_la_root_DATA)
1261         @$(NORMAL_INSTALL)
1262         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1263         if test -n "$$list"; then \
1264           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1265           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_rootdir)" || exit 1; \
1266         fi; \
1267         for p in $$list; do \
1268           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1269           echo "$$d$$p"; \
1270         done | $(am__base_list) | \
1271         while read files; do \
1272           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1273           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_rootdir)" || exit $$?; \
1274         done
1275
1276 uninstall-libscixcos_la_rootDATA:
1277         @$(NORMAL_UNINSTALL)
1278         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1279         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1280         dir='$(DESTDIR)$(libscixcos_la_rootdir)'; $(am__uninstall_files_from_dir)
1281 install-libscixcos_la_sci_gatewayDATA: $(libscixcos_la_sci_gateway_DATA)
1282         @$(NORMAL_INSTALL)
1283         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1284         if test -n "$$list"; then \
1285           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1286           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit 1; \
1287         fi; \
1288         for p in $$list; do \
1289           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1290           echo "$$d$$p"; \
1291         done | $(am__base_list) | \
1292         while read files; do \
1293           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1294           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit $$?; \
1295         done
1296
1297 uninstall-libscixcos_la_sci_gatewayDATA:
1298         @$(NORMAL_UNINSTALL)
1299         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1300         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1301         dir='$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1302 install-nobase_libscixcos_la_imagesDATA: $(nobase_libscixcos_la_images_DATA)
1303         @$(NORMAL_INSTALL)
1304         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1305         if test -n "$$list"; then \
1306           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)'"; \
1307           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)" || exit 1; \
1308         fi; \
1309         $(am__nobase_list) | while read dir files; do \
1310           xfiles=; for file in $$files; do \
1311             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1312             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1313           test -z "$$xfiles" || { \
1314             test "x$$dir" = x. || { \
1315               echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1316               $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir"; }; \
1317             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1318             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir" || exit $$?; }; \
1319         done
1320
1321 uninstall-nobase_libscixcos_la_imagesDATA:
1322         @$(NORMAL_UNINSTALL)
1323         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1324         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1325         dir='$(DESTDIR)$(libscixcos_la_imagesdir)'; $(am__uninstall_files_from_dir)
1326
1327 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1328         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1329         unique=`for i in $$list; do \
1330             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1331           done | \
1332           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1333               END { if (nonempty) { for (i in files) print i; }; }'`; \
1334         mkid -fID $$unique
1335 tags: TAGS
1336
1337 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1338                 $(TAGS_FILES) $(LISP)
1339         set x; \
1340         here=`pwd`; \
1341         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1342         unique=`for i in $$list; do \
1343             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1344           done | \
1345           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1346               END { if (nonempty) { for (i in files) print i; }; }'`; \
1347         shift; \
1348         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1349           test -n "$$unique" || unique=$$empty_fix; \
1350           if test $$# -gt 0; then \
1351             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1352               "$$@" $$unique; \
1353           else \
1354             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1355               $$unique; \
1356           fi; \
1357         fi
1358 ctags: CTAGS
1359 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1360                 $(TAGS_FILES) $(LISP)
1361         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1362         unique=`for i in $$list; do \
1363             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1364           done | \
1365           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1366               END { if (nonempty) { for (i in files) print i; }; }'`; \
1367         test -z "$(CTAGS_ARGS)$$unique" \
1368           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1369              $$unique
1370
1371 GTAGS:
1372         here=`$(am__cd) $(top_builddir) && pwd` \
1373           && $(am__cd) $(top_srcdir) \
1374           && gtags -i $(GTAGS_ARGS) "$$here"
1375
1376 distclean-tags:
1377         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1378
1379 distdir: $(DISTFILES)
1380         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1381         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1382         list='$(DISTFILES)'; \
1383           dist_files=`for file in $$list; do echo $$file; done | \
1384           sed -e "s|^$$srcdirstrip/||;t" \
1385               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1386         case $$dist_files in \
1387           */*) $(MKDIR_P) `echo "$$dist_files" | \
1388                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1389                            sort -u` ;; \
1390         esac; \
1391         for file in $$dist_files; do \
1392           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1393           if test -d $$d/$$file; then \
1394             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1395             if test -d "$(distdir)/$$file"; then \
1396               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1397             fi; \
1398             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1399               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1400               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1401             fi; \
1402             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1403           else \
1404             test -f "$(distdir)/$$file" \
1405             || cp -p $$d/$$file "$(distdir)/$$file" \
1406             || exit 1; \
1407           fi; \
1408         done
1409 check-am: all-am
1410         $(MAKE) $(AM_MAKEFLAGS) check-local
1411 check: $(BUILT_SOURCES)
1412         $(MAKE) $(AM_MAKEFLAGS) check-am
1413 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1414 installdirs:
1415         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixcos_la_etcdir)" "$(DESTDIR)$(libscixcos_la_rootdir)" "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" "$(DESTDIR)$(libscixcos_la_imagesdir)"; do \
1416           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1417         done
1418 install: $(BUILT_SOURCES)
1419         $(MAKE) $(AM_MAKEFLAGS) install-am
1420 install-exec: install-exec-am
1421 install-data: install-data-am
1422 uninstall: uninstall-am
1423
1424 install-am: all-am
1425         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1426
1427 installcheck: installcheck-am
1428 install-strip:
1429         if test -z '$(STRIP)'; then \
1430           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1431             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1432               install; \
1433         else \
1434           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1435             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1436             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1437         fi
1438 mostlyclean-generic:
1439
1440 clean-generic:
1441
1442 distclean-generic:
1443         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1444         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1445
1446 maintainer-clean-generic:
1447         @echo "This command is intended for maintainers to use"
1448         @echo "it deletes files that may require special tools to rebuild."
1449         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1450 clean: clean-am
1451
1452 clean-am: clean-generic clean-libtool clean-local \
1453         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1454
1455 distclean: distclean-am
1456         -rm -rf ./$(DEPDIR)
1457         -rm -f Makefile
1458 distclean-am: clean-am distclean-compile distclean-generic \
1459         distclean-local distclean-tags
1460
1461 dvi: dvi-am
1462
1463 dvi-am:
1464
1465 html: html-am
1466
1467 html-am:
1468
1469 info: info-am
1470
1471 info-am:
1472
1473 install-data-am: install-data-local install-libscixcos_la_etcDATA \
1474         install-libscixcos_la_rootDATA \
1475         install-libscixcos_la_sci_gatewayDATA \
1476         install-nobase_libscixcos_la_imagesDATA
1477
1478 install-dvi: install-dvi-am
1479
1480 install-dvi-am:
1481
1482 install-exec-am: install-pkglibLTLIBRARIES
1483
1484 install-html: install-html-am
1485
1486 install-html-am: install-html-local
1487
1488 install-info: install-info-am
1489
1490 install-info-am:
1491
1492 install-man:
1493
1494 install-pdf: install-pdf-am
1495
1496 install-pdf-am:
1497
1498 install-ps: install-ps-am
1499
1500 install-ps-am:
1501
1502 installcheck-am:
1503
1504 maintainer-clean: maintainer-clean-am
1505         -rm -rf ./$(DEPDIR)
1506         -rm -f Makefile
1507 maintainer-clean-am: distclean-am maintainer-clean-generic
1508
1509 mostlyclean: mostlyclean-am
1510
1511 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1512         mostlyclean-libtool
1513
1514 pdf: pdf-am
1515
1516 pdf-am:
1517
1518 ps: ps-am
1519
1520 ps-am:
1521
1522 uninstall-am: uninstall-libscixcos_la_etcDATA \
1523         uninstall-libscixcos_la_rootDATA \
1524         uninstall-libscixcos_la_sci_gatewayDATA \
1525         uninstall-nobase_libscixcos_la_imagesDATA \
1526         uninstall-pkglibLTLIBRARIES
1527
1528 .MAKE: all check check-am install install-am install-strip
1529
1530 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1531         clean clean-generic clean-libtool clean-local \
1532         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1533         distclean distclean-compile distclean-generic \
1534         distclean-libtool distclean-local distclean-tags distdir dvi \
1535         dvi-am html html-am info info-am install install-am \
1536         install-data install-data-am install-data-local install-dvi \
1537         install-dvi-am install-exec install-exec-am install-html \
1538         install-html-am install-html-local install-info \
1539         install-info-am install-libscixcos_la_etcDATA \
1540         install-libscixcos_la_rootDATA \
1541         install-libscixcos_la_sci_gatewayDATA install-man \
1542         install-nobase_libscixcos_la_imagesDATA install-pdf \
1543         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1544         install-ps-am install-strip installcheck installcheck-am \
1545         installdirs maintainer-clean maintainer-clean-generic \
1546         mostlyclean mostlyclean-compile mostlyclean-generic \
1547         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1548         uninstall-am uninstall-libscixcos_la_etcDATA \
1549         uninstall-libscixcos_la_rootDATA \
1550         uninstall-libscixcos_la_sci_gatewayDATA \
1551         uninstall-nobase_libscixcos_la_imagesDATA \
1552         uninstall-pkglibLTLIBRARIES
1553
1554
1555 # This target enables tests for Scilab
1556 check-local: $(top_builddir)/scilab-bin test
1557         if test -d $(mydatadir)/tests; then \
1558           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1559         fi
1560 check-code:
1561         if test -f build.xml; then \
1562                 $(ANT) checkstyle; \
1563         fi
1564         if test -x "$(SPLINT)"; then \
1565                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1566         fi
1567 @NEED_JAVA_TRUE@java:
1568 # Some configurations needs to export JAVA_HOME in the current env
1569 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1570 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1571 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1572 @NEED_JAVA_TRUE@                $(ANT); \
1573 @NEED_JAVA_TRUE@        fi
1574
1575 @NEED_JAVA_TRUE@clean-java:
1576 # Some configurations needs to export JAVA_HOME in the current env
1577 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1578 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1579 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1580 @NEED_JAVA_TRUE@                $(ANT) clean; \
1581 @NEED_JAVA_TRUE@        fi;
1582
1583 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1584 # We call the target swig-build on the variable SWIG_WRAPPERS
1585
1586 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1587 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1588 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1589 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1590 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1591 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1592 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1593 @SWIG_TRUE@             done; \
1594 @SWIG_TRUE@     fi
1595
1596 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1597 # We call the target swig-build on the variable SWIG_WRAPPERS
1598
1599 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1600 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1601 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1602 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1603 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1604 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1605 @GIWS_TRUE@             done; \
1606 @GIWS_TRUE@     fi
1607
1608 @GIWS_TRUE@giws-exception:
1609 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1610 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1611 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1612
1613 macros:
1614         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1615                 echo "Error : Cannot build $< : Scilab has not been built"; \
1616         else \
1617                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1618         fi)
1619
1620 # Removes the macros
1621 clean-macros:
1622 # Removes macros (*.bin generated from .sci)
1623         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1624                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1625                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1626         done
1627
1628 test:
1629 # More tests could be added here
1630         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1631         if test -f build.xml -a $$USEANT -eq 1; then \
1632                 $(ANT) test; \
1633         fi
1634
1635 all-local: $(TARGETS_ALL)
1636
1637 .sci.bin:
1638         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1639         echo "Error : Cannot build $< : Scilab has not been build"; \
1640         else \
1641         echo "Creating $@"; \
1642         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1643         fi )
1644
1645 install-html-local:
1646
1647 install-data-local-local:
1648 # Mainly for javasci
1649         @if test -d $(srcdir)/javadoc; then \
1650                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1651         fi
1652 # If the user wants the help sources to be installed
1653 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1654 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1655 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1656 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1657 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1658 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1659 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1660 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1661 @INSTALL_HELP_XML_TRUE@           done ; \
1662 @INSTALL_HELP_XML_TRUE@         fi; \
1663 @INSTALL_HELP_XML_TRUE@  fi; \
1664 @INSTALL_HELP_XML_TRUE@ done; \
1665 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1666 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1667 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1668 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1669 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1670 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1671 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1672 @INSTALL_HELP_XML_TRUE@           done ; \
1673 @INSTALL_HELP_XML_TRUE@         fi; \
1674 @INSTALL_HELP_XML_TRUE@ fi
1675 install-data-local:
1676 # Install the tests
1677         @echo "-------- Install tests (if any) --------"; \
1678         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1679           if test -d $(srcdir)/$$dir/; then \
1680             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1681                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1682                     if test -d "$(srcdir)/$$dir/$$file"; then \
1683                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1684                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1685                     else \
1686                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1687                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1688                     fi \
1689                   done; \
1690           fi; \
1691         done
1692 # Install the help chapter
1693         @echo "-------- Install the help chapter (if any) --------"; \
1694         for lang in $(HELP_CHAPTERLANG); do \
1695                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1696                 if test -f $$HELPFILE; then \
1697                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1698                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1699                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1700                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1701                 fi; \
1702         done
1703 # Install the demos & examples
1704         @echo "-------- Install demos & examples (if any) --------"; \
1705         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1706           if test -d $(srcdir)/$$dir/; then \
1707             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1708                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1709                     if test -d "$(srcdir)/$$dir/$$file"; then \
1710                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1711                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1712                     else \
1713                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1714                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1715                     fi \
1716                   done; \
1717           fi; \
1718         done
1719 # Install the macros
1720         @echo "-------- Install macros (if any) --------"; \
1721         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1722           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1723                 if test -d $(srcdir)/$$dir/; then \
1724                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1725                         if test -n "$(MACROSSPECIALEXT)"; then \
1726                                 specialExtDir=""; \
1727                                 for specialExt in $(MACROSSPECIALEXT); do \
1728                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1729                                 done; \
1730                                 FILELIST="$$FILELIST $$specialExtDir"; \
1731                         fi; \
1732                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1733                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1734                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1735                   done; \
1736                 fi; \
1737         done
1738 # Install java files (.jar)
1739         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1740         echo "-------- Install jar files --------"; \
1741     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1742           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1743                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1744                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1745           done ; \
1746         fi
1747
1748 ########### CLEAN ###################
1749 # Clean help (generated automatically by Scilab)
1750 # It used to clean the macro (clean-macros) but this was causing
1751 # make clean && make to fail Scilab startup
1752 @NEED_JAVA_TRUE@clean-local: clean-java
1753 @NEED_JAVA_FALSE@clean-local:
1754
1755 distclean-local:
1756         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1757
1758 .PHONY: macros java swig giws
1759
1760 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1761 # Otherwise a system limit (for SysV at least) may be exceeded.
1762 .NOEXPORT: